Package com.enonic.xp.repository

## Class RepositorySegmentUtils

- java.lang.Object
- - com.enonic.xp.repository.RepositorySegmentUtils

-     public class RepositorySegmentUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BLOB_TYPE_LEVEL` |
    `static int` | `REPOSITORY_LEVEL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositorySegmentUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `hasBlobTypeLevel​(Segment segment, SegmentLevel blobType)` |
    `static boolean` | `hasRepository​(Segment segment, RepositoryId repositoryId)` | Deprecated.
    `static RepositoryId` | `toRepositoryId​(Segment segment)` |
    `static Segment` | `toSegment​(RepositoryId repositoryId, SegmentLevel blobType)` |
    `static SegmentLevel` | `toSegmentLevel​(RepositoryId repositoryId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPOSITORY_LEVEL

          public static final int REPOSITORY_LEVEL

      See Also:
        Constant Field Values

    - #### BLOB_TYPE_LEVEL

          public static final int BLOB_TYPE_LEVEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RepositorySegmentUtils

          public RepositorySegmentUtils()

  - ### Method Detail

    - #### toSegmentLevel

          public static SegmentLevel toSegmentLevel​(RepositoryId repositoryId)

    - #### toSegment

          public static Segment toSegment​(RepositoryId repositoryId,
                                          SegmentLevel blobType)

    - #### toRepositoryId

          public static RepositoryId toRepositoryId​(Segment segment)

    - #### hasRepository

          @Deprecated
          public static boolean hasRepository​(Segment segment,
                                              RepositoryId repositoryId)

      Deprecated.

    - #### hasBlobTypeLevel

          public static boolean hasBlobTypeLevel​(Segment segment,
                                                 SegmentLevel blobType)